{% extends 'base.html' %}
{% load bootstrap5 %}

{% block title %}
    Новые вопросы
{% endblock %}'

{% block content %}
    {% if lines %}
        {% for question in lines %}
            <div class="d-flex py-3">
                <div class="card d-flex flex-column w-100">
                    <div class="card-header{% if question.is_answered %} bg-success bg-gradient opacity-75{% endif %}">
                        <div class="row">
                            <div class="col">
                                <span class="fs-7"><span class="badge bg-secondary rounded-pill">{{ question.user }}</span></span>
                            </div>
                            <div class="col text-end">
                                <small class="fs-7">Создан:  <span class="badge bg-secondary rounded-pill">{{ question.created }}</span></small>
                            </div>
                        </div>
                    </div>
                    <div class="card-body d-flex">
                        <div class="d-flex flex-column w-100">
                            <a href="{% url 'qa:question' question_id=question.id %}" class="fs-5">
                                {{ question.title }}
                            </a>
                            {% if question.is_answered %}(для этого вопроса указано решение){% endif %}
                        </div>
                        <div class="d-flex flex-column text-center" style="width: 120px">
                            <b class="fs-3">{{ question.score }}</b>
                        </div>
                    </div>
                </div>
            </div>
        {% endfor %}
    {% endif %}
    {% if lines.paginator.num_pages > 1 %}
        {% bootstrap_pagination lines url="?page=1" size="large" %}
    {% endif %}
{% endblock %}
